Bug 1308779 - Review Request: git-tools - Assorted git-related scripts and tools
Review Request: git-tools - Assorted git-related scripts and tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
trivial
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 22:37 EST by Greg Bailey
Modified: 2016-04-06 20:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 13:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puiterwijk: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Greg Bailey 2016-02-15 22:37:32 EST
Spec URL: https://gbailey.fedorapeople.org/git-tools/git-tools.spec
SRPM URL: https://gbailey.fedorapeople.org/git-tools/git-tools-0-0.1.20160215gitea09519.fc23.src.rpm

Description:

Assorted git-related scripts and tools:

git-branches-rename:
Batch renames branches with a matching prefix to another prefix

git-clone-subset:
Clones a subset of a git repository

git-find-uncommitted-repos:
Recursively list repos with uncommitted changes

git-rebase-theirs:
Resolve rebase conflicts and failed cherry-picks by favoring 'theirs' version

git-restore-mtime:
Restore original modification time of files based on the date of the most
recent commit that modified them

git-strip-merge:
A git-merge wrapper that deletes files on a "foreign" branch before merging

Fedora Account System Username: gbailey
Comment 1 Upstream Release Monitoring 2016-02-15 22:42:11 EST
gbailey's scratch build of git-tools-0-0.1.20160215gitea09519.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13002100
Comment 3 Anoop C S 2016-03-11 07:18:10 EST
Hi Greg,

Initial review comments on running rpmlint against source and binary rpms.

[1] rpmlint warns about missing man pages for git-restore-mtime-bare and git-restore-mtime-core binaries. Was that intentional? Please feel free to add man pages in case you missed.

git-tools.noarch: W: no-manual-page-for-binary git-restore-mtime-bare
Each executable in standard binary directories should have a man page.

git-tools.noarch: W: no-manual-page-for-binary git-restore-mtime-core
Each executable in standard binary directories should have a man page.


[2] rpmlint also warns about mismatch in version from changelog entry and created binary rpm.
git-tools.noarch: W: incoherent-version-in-changelog 0.1.20160215gitea09519
['0-0.1.20160215gitea09519.fc23', '0-0.1.20160215gitea09519']

If you need version 0.1, then you need to make the following changes in spec file:
Version:    0.1
Release:    1.20160215gitea09519%{?dist}

and changelog entry should include 0.1-1.20160215gitea09519


I will get back with more detailed review soon over weekend.
Comment 4 Anoop C S 2016-03-12 05:50:33 EST
rpmlint.txt on running fedora-review:

Checking: git-tools-0-0.1.20160215gitea09519.fc24.noarch.rpm
          git-tools-0-0.1.20160215gitea09519.fc24.src.rpm
git-tools.noarch: W: spelling-error %description -l en_US repos -> ropes, reps, repose
git-tools.noarch: W: spelling-error %description -l en_US rebase -> rebate, debase, re base
git-tools.noarch: W: spelling-error %description -l en_US mtime -> mime, time, m time
git-tools.noarch: W: incoherent-version-in-changelog 0.1.20160215gitea09519 ['0-0.1.20160215gitea09519.fc24', '0-0.1.20160215gitea09519']
git-tools.noarch: W: no-manual-page-for-binary git-restore-mtime-core
git-tools.noarch: W: no-manual-page-for-binary git-restore-mtime-bare
git-tools.src: W: spelling-error %description -l en_US repos -> ropes, reps, repose
git-tools.src: W: spelling-error %description -l en_US rebase -> rebate, debase, re base
git-tools.src: W: spelling-error %description -l en_US mtime -> mime, time, m time
2 packages and 0 specfiles checked; 0 errors, 9 warnings.
Comment 5 Anoop C S 2016-03-12 07:02:22 EST
licensecheck.txt on running fedora-review:

GPL (v3 or later)
-----------------
git-tools-ea095192bc4180cc89d56f650deaeb0cbfe1ae25/git-branches-rename
git-tools-ea095192bc4180cc89d56f650deaeb0cbfe1ae25/git-clone-subset
git-tools-ea095192bc4180cc89d56f650deaeb0cbfe1ae25/git-find-uncommitted-repos
git-tools-ea095192bc4180cc89d56f650deaeb0cbfe1ae25/git-rebase-theirs
git-tools-ea095192bc4180cc89d56f650deaeb0cbfe1ae25/git-restore-mtime
git-tools-ea095192bc4180cc89d56f650deaeb0cbfe1ae25/git-restore-mtime-core
git-tools-ea095192bc4180cc89d56f650deaeb0cbfe1ae25/git-strip-merge

Unknown or generated
--------------------
git-tools-ea095192bc4180cc89d56f650deaeb0cbfe1ae25/README.md
git-tools-ea095192bc4180cc89d56f650deaeb0cbfe1ae25/git-restore-mtime-bare
Comment 6 Anoop C S 2016-03-12 07:36:28 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
Note: You must have one LICENSE file in source.

[!]: License field in the package spec file matches the actual license.
Note: Checking patched sources after %prep for licenses. Licenses found:
"GPL (v3 or later)", "Unknown or generated". 2 files have unknown license.
licensecheck.txt complains about two files under "Unknown or generated"
section. See https://bugzilla.redhat.com/show_bug.cgi?id=1308779#c5
Can you please correct this?

[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
Note: See https://bugzilla.redhat.com/show_bug.cgi?id=1308779#c3

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
Note: rm -rf %{buildroot} present but not required

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
Note: May be you can provide all reuqires in a single line.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
Note: See https://bugzilla.redhat.com/show_bug.cgi?id=1308779#c4.

[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
Note: Please do so.

[x]: Final provides and requires are sane (see below).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
Note: See https://bugzilla.redhat.com/show_bug.cgi?id=1308779#c4

[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: git-tools-0-0.1.20160215gitea09519.fc24.noarch.rpm
          git-tools-0-0.1.20160215gitea09519.fc24.src.rpm
git-tools.noarch: W: spelling-error %description -l en_US repos -> ropes, reps, repose
git-tools.noarch: W: spelling-error %description -l en_US rebase -> rebate, debase, re base
git-tools.noarch: W: spelling-error %description -l en_US mtime -> mime, time, m time
git-tools.noarch: W: incoherent-version-in-changelog 0.1.20160215gitea09519 ['0-0.1.20160215gitea09519.fc24', '0-0.1.20160215gitea09519']
git-tools.noarch: W: no-manual-page-for-binary git-restore-mtime-core
git-tools.noarch: W: no-manual-page-for-binary git-restore-mtime-bare
git-tools.src: W: spelling-error %description -l en_US repos -> ropes, reps, repose
git-tools.src: W: spelling-error %description -l en_US rebase -> rebate, debase, re base
git-tools.src: W: spelling-error %description -l en_US mtime -> mime, time, m time
2 packages and 0 specfiles checked; 0 errors, 9 warnings.


Requires
--------
git-tools (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/env
    git
    python


Provides
--------
git-tools:
    git-tools


Source checksums
----------------
https://github.com/MestreLion/git-tools/archive/ea095192bc4180cc89d56f650deaeb0cbfe1ae25.tar.gz#/git-tools-ea09519.tar.gz :
  CHECKSUM(SHA256) this package     : 36058da7ba669beaf8fa4d301e6ba50d86a302baa5b073d3135bc04fde61f608
  CHECKSUM(SHA256) upstream package : 36058da7ba669beaf8fa4d301e6ba50d86a302baa5b073d3135bc04fde61f608


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n git-tools
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Greg Bailey 2016-03-12 22:02:41 EST
Thank you for the detailed review.

I will be submitting a pull request to upstream to remedy the licensing issues you raised; I will then submit a new SPEC and SRPM with the other suggestions as well.

thanks again!
Comment 8 Greg Bailey 2016-03-13 20:57:20 EDT
(In reply to Anoop C S from comment #3)
> Hi Greg,
> 
> [1] rpmlint warns about missing man pages for git-restore-mtime-bare and
> git-restore-mtime-core binaries. Was that intentional? Please feel free to
> add man pages in case you missed.
> 
> git-tools.noarch: W: no-manual-page-for-binary git-restore-mtime-bare
> Each executable in standard binary directories should have a man page.
> 
> git-tools.noarch: W: no-manual-page-for-binary git-restore-mtime-core
> Each executable in standard binary directories should have a man page.

I've removed git-restore-mtime-bare and git-restore-mtime-core from packaging, as they are intended for proof-of-concept purposes and not meant to be packaged.

https://github.com/MestreLion/git-tools/commit/46b8cdf03b6a44d58f07207815df2eaa6b8e2f43

> [2] rpmlint also warns about mismatch in version from changelog entry and
> created binary rpm.
> git-tools.noarch: W: incoherent-version-in-changelog 0.1.20160215gitea09519
> ['0-0.1.20160215gitea09519.fc23', '0-0.1.20160215gitea09519']

Changelog entries fixed.

(In reply to Anoop C S from comment #5)
> licensecheck.txt on running fedora-review:
> 
> Unknown or generated
> --------------------
> git-tools-ea095192bc4180cc89d56f650deaeb0cbfe1ae25/README.md

I'm not sure this is valid; the README.md specifies GPLv3+.

(In reply to Anoop C S from comment #6)
> Package Review
> ==============
> 
> [-]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> Note: You must have one LICENSE file in source.

Fixed (via upstream pull request)

> [!]: License field in the package spec file matches the actual license.
> Note: Checking patched sources after %prep for licenses. Licenses found:
> "GPL (v3 or later)", "Unknown or generated". 2 files have unknown license.
> licensecheck.txt complains about two files under "Unknown or generated"
> section. See https://bugzilla.redhat.com/show_bug.cgi?id=1308779#c5
> Can you please correct this?

Fixed.  Not sure why README.md is listed.

> [!]: Changelog in prescribed format.
> Note: See https://bugzilla.redhat.com/show_bug.cgi?id=1308779#c3

Fixed.

> [!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> Note: rm -rf %{buildroot} present but not required

Fixed; removed.

> Note: May be you can provide all reuqires in a single line.

Requires moved to single line.

> [x]: Rpmlint is run on all rpms the build produces.
> Note: See https://bugzilla.redhat.com/show_bug.cgi?id=1308779#c4.

rpmlint output is now clean.

> Generic:
> [!]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> Note: Please do so.

Done via pull request.

New package:

Spec URL: https://gbailey.fedorapeople.org/git-tools/0-0.2/git-tools.spec
SRPM URL: https://gbailey.fedorapeople.org/git-tools/0-0.2/git-tools-0-0.2.20160313gitd6d55b3.fc23.src.rpm
Comment 9 Anoop C S 2016-03-14 00:58:23 EDT
Hi Greg,

Thanks for your quick turn back.

I will do another round of review sometime today/tomorrow.
Comment 10 Anoop C S 2016-03-15 14:11:27 EDT
(In reply to Greg Bailey from comment #8)
> > licensecheck.txt on running fedora-review:
> > 
> > Unknown or generated
> > --------------------
> > git-tools-ea095192bc4180cc89d56f650deaeb0cbfe1ae25/README.md
> 
> I'm not sure this is valid; the README.md specifies GPLv3+.

Here is the reason:
fedora-review tool uses licensecheck utility for checking the presence of license related terms inside source file. See line number 733 from https://git.fedorahosted.org/cgit/FedoraReview.git/tree/plugins/generic.py. And looking through sources for licensecheck utility from debian I could see that they are checking for specified lines. See the following links which proves this argument.
https://github.com/Debian/devscripts/blob/master/scripts/licensecheck.pl#L623
https://github.com/Debian/devscripts/blob/master/scripts/licensecheck.pl#L656
You may need to include the following to get rid of this warning:

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

One more suggestion (sorry for not mentioning this before):
Reading from rpm built it looks like git-tools is of version 0 and release 0.2 which is not correct. Would you mind changing the version to 0.1 and release to 3 in the spec file? So that it looks clean something like git-tools-0.1-3. Or even you can have version = 0.1.1 and release = 3. If you can make this change, I will give it a final round review afterwards.

Otherwise it looks good. Thanks for addressing the comments.
Comment 11 Anoop C S 2016-03-15 14:16:45 EDT
Sorry, w.r.t version numbers I think I got it wrong in previous comment.

Some suggestions:
Version = 0.1 and Release = 3.20150315gitxxxxxxx
Version = 0.0.1 and Release = 1.20150315gitxxxxxxx

And don't forget to change changelog entries accordingly.
Comment 12 Greg Bailey 2016-03-16 17:34:36 EDT
Hi Anoop,

Thanks for the analysis and pointers to further information re: licensecheck.

I checked out licensecheck against the git-tools README.md file on an Ubuntu machine, and the version there flags README.md as "README.md: *No copyright* UNKNOWN", even with the suggested addition you provided.  I think it's sufficient to say that the existing README.md references the correct license, and that that license matches GPLv3+ as specified in the .spec file.  I'm hesitant to submit a pull request for it upstream because it's essentially a change only to satisfy the fedora-review tool, and we can manually verify the license referenced in README.md anyway.

Regarding the version numbers, upsteam only has one lightweight tag, "v2015.2", and it's obviously a bit old.  There's a request to tag a new version:

  https://github.com/MestreLion/git-tools/issues/15

Since I don't know what that new tag will be ("v2016.3" or higher, presumably), I opted to use the version and release numbering suggestions given by:

  https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

(See the provided example for the "kismet" RPM there).

My thinking was that once upstream releases "v2016.3" (or "v2016.4", etc.), then I would change the RPM Version tag to "2016.3" and use a RPM Release tag of "1", etc. from that point forward. 

Thanks again for your help!
Comment 13 Anoop C S 2016-03-17 05:57:45 EDT
(In reply to Greg Bailey from comment #12)
> I checked out licensecheck against the git-tools README.md file on an Ubuntu
> machine, and the version there flags README.md as "README.md: *No copyright*
> UNKNOWN", even with the suggested addition you provided.I think it's

Really?
For me(on Fedora 23) when I added the mentioned text in README.md, licensecheck(from devscripts v2.15.10) output was clean displaying (GPLv3 or later).

> sufficient to say that the existing README.md references the correct
> license, and that that license matches GPLv3+ as specified in the .spec
> file.  I'm hesitant to submit a pull request for it upstream because it's
> essentially a change only to satisfy the fedora-review tool, and we can
> manually verify the license referenced in README.md anyway.

Yeah...Make sense. I just pointed out the reason. That's all.

> Regarding the version numbers, upsteam only has one lightweight tag,
> "v2015.2", and it's obviously a bit old.  There's a request to tag a new
> version:
> 
>   https://github.com/MestreLion/git-tools/issues/15
> 
> Since I don't know what that new tag will be ("v2016.3" or higher,
> presumably), I opted to use the version and release numbering suggestions
> given by:
> 
>  
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-
> Release_packages

Ah.. You are right. Somehow I failed to understand it correctly. My bad.
 
> (See the provided example for the "kismet" RPM there). 
>
> My thinking was that once upstream releases "v2016.3" (or "v2016.4", etc.),
> then I would change the RPM Version tag to "2016.3" and use a RPM Release
> tag of "1", etc. from that point forward. 

Fine.

LGTM and good to go.
Thanks.
Comment 14 Greg Bailey 2016-03-17 09:05:44 EDT
(In reply to Anoop C S from comment #13)
> (In reply to Greg Bailey from comment #12)
> > I checked out licensecheck against the git-tools README.md file on an Ubuntu
> > machine, and the version there flags README.md as "README.md: *No copyright*
> > UNKNOWN", even with the suggested addition you provided.I think it's
> 
> Really?
> For me(on Fedora 23) when I added the mentioned text in README.md,
> licensecheck(from devscripts v2.15.10) output was clean displaying (GPLv3 or
> later).

You are right, adding the suggested text makes the licensecheck output "clean" on a Fedora 23 system, but my point was that adding the same suggested text didn't appear to make the output clean when run on a non-Fedora system...

> 
> LGTM and good to go.
> Thanks.

Thank you for your time reviewing this!
Comment 15 Anoop C S 2016-03-17 09:58:21 EDT
Sorry Greg,

Guidelines from the following link says that an unofficial reviewer must not change the review request status other than adding himself to the CC list.

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Show_Your_Expertise_by_Commenting_on_other_Review_Requests

So changing status back to NEW and removing the fedora-review flag...
Comment 16 Patrick Uiterwijk 2016-03-20 16:10:49 EDT
After reading through this review, it looks like this has been quite thorough.

I will approve the package based on the previous review.
Comment 17 Greg Bailey 2016-03-20 19:22:24 EDT
(In reply to Patrick Uiterwijk from comment #16)
> After reading through this review, it looks like this has been quite
> thorough.
> 
> I will approve the package based on the previous review.

Thank you, Patrick.
Comment 18 Fedora Update System 2016-03-21 14:03:51 EDT
git-tools-0-0.2.20160313gitd6d55b3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-87b1484ae7
Comment 19 Fedora Update System 2016-03-21 14:05:53 EDT
git-tools-0-0.2.20160313gitd6d55b3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2a130054d0
Comment 20 Fedora Update System 2016-03-21 14:06:51 EDT
git-tools-0-0.2.20160313gitd6d55b3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6e7b9d3622
Comment 21 Fedora Update System 2016-03-21 14:08:24 EDT
git-tools-0-0.2.20160313gitd6d55b3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a10d0e27bc
Comment 22 Fedora Update System 2016-03-21 14:09:17 EDT
git-tools-0-0.2.20160313gitd6d55b3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e5689781c0
Comment 23 Fedora Update System 2016-03-21 18:30:17 EDT
git-tools-0-0.2.20160313gitd6d55b3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e5689781c0
Comment 24 Fedora Update System 2016-03-21 20:26:15 EDT
git-tools-0-0.2.20160313gitd6d55b3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2a130054d0
Comment 25 Fedora Update System 2016-03-21 21:26:10 EDT
git-tools-0-0.2.20160313gitd6d55b3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6e7b9d3622
Comment 26 Fedora Update System 2016-03-22 02:49:08 EDT
git-tools-0-0.2.20160313gitd6d55b3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-87b1484ae7
Comment 27 Fedora Update System 2016-03-22 11:22:17 EDT
git-tools-0-0.2.20160313gitd6d55b3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a10d0e27bc
Comment 28 Fedora Update System 2016-03-26 13:55:21 EDT
git-tools-0-0.2.20160313gitd6d55b3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2016-03-29 15:18:07 EDT
git-tools-0-0.2.20160313gitd6d55b3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2016-03-30 16:53:30 EDT
git-tools-0-0.2.20160313gitd6d55b3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2016-04-05 14:24:07 EDT
git-tools-0-0.2.20160313gitd6d55b3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2016-04-06 20:30:45 EDT
git-tools-0-0.2.20160313gitd6d55b3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.